
# Fedora review: http://bugzilla.redhat.com/190189

Summary: Python bindings for Qt4
Name: PyQt4
Version: 4.6.2
Release: 9%{?dist}

# GPLv2 exceptions(see GPL_EXCEPTIONS*.txt)
License: GPLv3 or GPLv2 with exceptions
Group: Development/Languages
Url: http://www.riverbankcomputing.com/software/pyqt/
Source0: http://www.riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-%{version}%{?snap:-snapshot-%{snap}}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# fix 64bit issue
Patch1:  PyQt-x11-gpl-4.4.4-64bit.patch

# workaround build problem with QT_SHARED
Patch2:  PyQt-x11-gpl-4.5.2-QT_SHARED.patch

# add correct path for phonon header file
Patch3:  PyQt-x11-gpl-4.6.2-phonon.patch

# add missing shebang
Patch4:  PyQt-x11-gpl-4.5.1-pyuic_shebang.patch

# fix multilib conflict because of timestamp
Patch5:	PyQt-x11-gpl-4.6.2-timestamp-multilib.patch

# disable webkit
Patch6: PyQt-x11-gpl-4.6.2-webkit.patch

# add missing qmenubar-cornerWidget
Patch7: PyQt-x11-gpl-4.6.2-qmenubar-cornerWidget-bz#821061.patch
# add missing qnetwork-deleteResource
Patch8: PyQt-x11-gpl-4.6.2-qnetwork-deleteResource-bz#757411.patch

BuildRequires: chrpath
BuildRequires: dbus-devel dbus-python-devel
BuildRequires: findutils
BuildRequires: phonon-devel
%if 0%{?fedora}
BuildRequires: qscintilla
%endif
BuildRequires: qt4-devel >= 4.5.0-7
BuildRequires: python-devel

%global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

BuildRequires: sip-devel >= 4.9.3

Requires: dbus-python
%{?_qt4_version:Requires: qt4 >= %{_qt4_version}}
%{?_sip_api:Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}}

%description
These are Python bindings for Qt4.

%package devel
Summary: Files needed to build other bindings based on Qt4
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: qt4-devel
Requires: sip-devel

%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt4 classes (e.g. KDE or your own).


%prep
%setup -q -n PyQt-x11-gpl-%{version}%{?snap:-snapshot-%{snap}}

%patch1 -p1 -b .64bit
%patch2 -p1 -b .QT_SHARED
%patch3 -p1 -b .phonon
%patch4 -p1 
%patch5 -p1 -b .timestamp
%patch6 -p1 -b .webkit
%patch7 -p1 -b .qmenubar-cornerWidget
%patch8 -p1 -b .qnetwork-deleteResource

## permissions
# mark examples non-executable
find examples/ -name "*.py" | xargs chmod a-x
chmod a+rx pyuic/uic/pyuic.py


%build

QT4DIR=%{_qt4_prefix}
PATH=%{_qt4_bindir}:$PATH ; export PATH

%{__python} configure.py \
  --confirm-license \
  --qmake=%{_qt4_qmake} \
  --verbose 

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} INSTALL_ROOT=%{buildroot}

# fix/remove rpaths
chrpath --list   %{buildroot}%{python_sitearch}/PyQt4/QtCore.so
chrpath --delete %{buildroot}%{python_sitearch}/PyQt4/QtCore.so

chrpath --list   %{buildroot}%{python_sitearch}/PyQt4/QtGui.so
chrpath --delete %{buildroot}%{python_sitearch}/PyQt4/QtGui.so

chrpath --list   %{buildroot}%{python_sitearch}/PyQt4/QtDesigner.so
chrpath --delete %{buildroot}%{python_sitearch}/PyQt4/QtDesigner.so

chrpath --list   %{buildroot}%{python_sitelib}/dbus/mainloop/qt.so
chrpath --delete %{buildroot}%{python_sitelib}/dbus/mainloop/qt.so

# HACK: fix multilb conflict, http://bugzilla.redhat.com/509415
rm -fv %{buildroot}%{_bindir}/pyuic4
mv %{buildroot}%{python_sitearch}/PyQt4/uic/pyuic.py \
   %{buildroot}%{_bindir}/pyuic4
ln -s %{_bindir}/pyuic4 \
      %{buildroot}%{python_sitearch}/PyQt4/uic/pyuic.py


%check
# verify phonon built ok
test -f %{buildroot}%{python_sitearch}/PyQt4/phonon.so
test -d %{buildroot}%{_datadir}/sip/PyQt4/phonon


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc NEWS README
%doc OPENSOURCE-NOTICE.TXT
%doc LICENSE.GPL2 GPL_EXCEPTION*.TXT
%doc LICENSE.GPL3
%{python_sitearch}/PyQt4/
%exclude %{python_sitearch}/PyQt4/uic/pyuic.py*
%{python_sitelib}/dbus/mainloop/qt.so
%{_qt4_plugindir}/designer/*

%files devel
%defattr(-,root,root,-)
%doc doc/*
%doc examples/
%{_bindir}/pylupdate4
%{_bindir}/pyrcc4
%{_bindir}/pyuic4
%{python_sitearch}/PyQt4/uic/pyuic.py*
%{_datadir}/sip/PyQt4/
%if 0%{?fedora}
%{_qt4_prefix}/qsci/api/python/PyQt4.api
%endif


%changelog

